/*
 * Copyright (C) 2004 Joshua Hoblitt
 *
 * $Id: c_api.h,v 1.1.1.1 2004-12-22 02:16:23 jhoblitt Exp $
 */

// should there be an argument for "suggested" storage location?
int add( const char *ext_id, const char *data, int size )

int delete( const char *ext_id )

// should there be an argument for "suggested" storage location?
int update( const char *ext_id, const char *data, int size )

// should there be an argument for "suggested" storage location?
int move( const char *old_ext_id, const char *new_ext_id )

// open returns a fd 
int open( const char *ext_id )

int close( const char *ext_id )

// maybe open and close are a bad idea, perhaps...
int read( const char *ext_id, char *data )
